/*
    KTextDecode
    Version 3.0, 21 November 2002
    (C) 2002 Zavolzhsky Alexandr <zavolzhsky@mail.ru>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
*/

#ifndef KDECODE_H
#define KDECODE_H

#include <kapp.h>
#include <kmainwindow.h>
#include <kprogress.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>

class QString;
class QLineEdit;
class QPushButton;
class QButtonGroup;
class QRadioButton;

class KTextDecode : public KMainWindow
{
    Q_OBJECT
public:
    KTextDecode(const char *name = 0);
public slots:
    void setSrcFile();
    void setDestFile();
    void decode();
    void about();
    void quit();
    bool isBoxesEmpty();
    bool isBoxesSame();
    void checkDecode(bool result);
    bool decodeFile(QString szIn,QString szOut,int decodeType);
public:
    QLineEdit *edSrc, *edDest;
    QButtonGroup *bgType;
    QRadioButton *rbAnsi2Koi, *rbKoi2Ansi, *rbKoi2Oem, 
                 *rbOem2Koi, *rbIso2Koi, *rbKoi2Iso;
    QPushButton *btSrc, *btDest, *btConvert, *btAbout, *btQuit;
    QString src, dest;
    KProgress *pbDecode;
};

#endif // KDECODE_H
